require "socket"

local function sleep(n)
  os.execute("sleep " .. tonumber(n))
end

local function run(msg, matches)

  print('Schlafe... ')
  
-- Delay in seconds (10 = 10 seconds)
local delay = matches[1]
  sleep(delay)
  
  return 'Bin wieder da!'
  
end

return {
  description = "Setzt den Bot in schlaf", 
  usage = {"/sleep"},
  patterns = {"^/[Ss][Ll][Ee][Ee][Pp] (.*)$"}, 
  run = run,
  privileged = true
}
--by Akamaru [https://ponywave.de]